Evolution plugin raises assertion on Jaunty

Bug #334927 reported by Alexander Hunziker on 2009-02-26
128
This bug affects 16 people
Affects Status Importance Assigned to Milestone
Do Plugins
Undecided
Unassigned
Gentoo Linux
Won't Fix
Medium
evolution-sharp (Ubuntu)
Undecided
Unassigned
gnome-do-plugins (Ubuntu)
Undecided
Unassigned

Bug Description

Using GNOME Do on Jaunty with the evolution plugin, the following error is printed to the terminal:

(Do:3813): libebook-CRITICAL **: file e-book.c: line 2127: assertion `book && E_IS_BOOK (book)' failed
Evolution.ContactItemSource "Evolution Contacts" encountered an error in UpdateItems: file e-book.c: line 2127: assertion `book && E_IS_BOOK (book)' failed.

and no contact information is read into GNOME Do

After activation of the evolution-plugin, I see this error. Gnome-do doesn't search in the evolution contacts

Reproducible: Always

Steps to Reproduce:
1. start gnome-do in terminal
2. activate evolution-contacts
3. search for a contact

Actual Results:
No contact show's up.

Expected Results:
A list with contacts

Which version of evolution-sharp and evolution-data-server are you using?

I'm using evolution-sharp 0.19.1 and evolution-data-server 2.24.4

Chris Halse Rogers (raof) wrote :

This would seem to be an evolution-sharp bug. Opening a task against that.

Does this still happen with gnome-do 0.8.1.3 and its plugins?

(In reply to comment #3)
> Does this still happen with gnome-do 0.8.1.3 and its plugins?
>

I'm expiriencing the same problem with:
gnome-extra/gnome-do-0.8.1.3
gnome-extra/gnome-do-plugins-0.8.1.3

Full error message is:

(Do:29737): libebook-CRITICAL **: file e-book.c: line 2127: assertion `book && E_IS_BOOK (book)' failed
Evolution.ContactItemSource "Evolution Contacts" encountered an error in UpdateItems: file e-book.c: line 2127: assertion `book && E_IS_BOOK (book)' failed.

Looking at the error message this might actually be problem with the evolution-sharp bindings. loki_val, perhaps you have some insight here?

(In reply to comment #5)
> Looking at the error message this might actually be problem with the
> evolution-sharp bindings. loki_val, perhaps you have some insight here?
>

First of all, upgrade to the newest evolution-sharp
Then check that the files listed in
/usr/lib/mono/gac/evolution-sharp/*/evolution-sharp.dll.config
actually do exist in /usr/lib/

I got the latest evolution-sharp (0.19.2.1) and all the files in evolution-sharp.dll.config
exist.

But the problem remains.

(In reply to comment #7)
> I got the latest evolution-sharp (0.19.2.1) and all the files in
> evolution-sharp.dll.config
> exist.
>
> But the problem remains.

Just a "what the heck this might work idea": Try 0.18.x?

No luck :-(

List of upstream bugs:
Gnome-do:
https://bugs.edge.launchpad.net/do-plugins/+bug/334927
Evolution-sharp:
http://bugzilla.gnome.org/show_bug.cgi?id=576625

Now we'll just sit back and wait for them to be fixed. If anyone here has an account on bugzilla.gnome.org, I urge you to subscribe to the evolution-sharp bug.

Also tired it with evolution-sharp 0.20.0 and mono 2.2-r4.

Again no luck.

Changed in evolution-sharp:
status: Unknown → In Progress
sfantu (sfantus1) wrote :

this affects me

lohapuk (lohapuk) wrote :

using gnome do i also get

(Do:5043): libebook-CRITICAL **: file e-book.c: line 2144: assertion `book && E_IS_BOOK (book)' failed
Evolution.ContactItemSource "Evolution Contacts" encountered an error in UpdateItems: file e-book.c: line 2144: assertion `book && E_IS_BOOK (book)' failed.

on karmic

owenix (justinowen) wrote :

Karmic
gnome-do 8.2.1+dfsg-1~ubuntu 1
libevolution5.0-cil

[Debug 17:27:34.719] [UniverseManager] Reloading item source "Evolution Contacts"...

(Do:20851): libebook-CRITICAL **: file e-book.c: line 2144: assertion `book && E_IS_BOOK (book)' failed
Evolution.ContactItemSource "Evolution Contacts" encountered an error in UpdateItems: file e-book.c: line 2144: assertion `book && E_IS_BOOK (book)' failed.

Andrei Avram (andrei-avram) wrote :

I am also affected by this bug, with
Ubuntu Karmic
gnome-do 0.8.2+dfsg-1
libevolution5.0-cil

Yeah. Sadly, the evolution-sharp bindings are in a bad state; they
haven't worked (at all) since Jaunty. The next gnome-do-plugins upload
will just remove the evolution plugin, since (until evolution-sharp is
fixed), it just can't work.

Magnus Helander (mhelander) wrote :

And I felt so very smart when I located and installed the Evolution plugin from Synaptic Package Manager ;)
Now I understand why it's not in the official plugins.
Gnome-do is an outstanding piece of software - I hope we can get this plugin working.

gnome-do 0.8.3.1+dfsg-0
libevolution5.0-cil

/magnus

Magnus Helander (mhelander) wrote :

I tried running gnome-do from command line and got this...

(/usr/lib/gnome-do/Do.exe:2624): GLib-WARNING **: g_set_prgname() called multiple times
(/usr/lib/gnome-do/Do.exe:2624): Wnck-CRITICAL **: wnck_set_client_type got called multiple times.

Most likely not related, but maybe of interest?

/magnus

Changed in evolution-sharp:
importance: Unknown → Medium
In , pjv (pjv) wrote :

Still there. Yawn

dev-lang/mono-2.6.7
gnome-extra/evolution-data-server-2.30.2
gnome-extra/gnome-do-0.8.3.1
dev-dotnet/evolution-sharp-0.21.1-r1
gnome-extra/gnome-do-plugins-0.8.2-r1

Changed in gentoo:
importance: Unknown → Medium
Changed in evolution-sharp:
status: In Progress → Won't Fix
Changed in gentoo:
status: Confirmed → Unknown
Changed in gentoo:
status: Unknown → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.